import findrox; findrox.version(1, 9, 6)
import rox, gtk, os
import pixmaps

version = (0, 3, 0)

have_wnck = True
try:
	import wnck
except ImportError:
	have_wnck = False

screen = None
if have_wnck:
	screen = wnck.screen_get_default()
	screen.force_update()
	
tooltips = gtk.Tooltips()
icon_theme = gtk.icon_theme_get_default()

TARGET_URI_LIST = 0
TARGET_MOZ_URL = 1
TARGET_WNCK_WINDOW_ID = 2

LEFT = 1
RIGHT = 2
TOP = 3
BOTTOM = 4

xdg_data_dirs = os.getenv("XDG_DATA_DIRS")
if not xdg_data_dirs:
	xdg_data_dirs = ['/usr/share', '/usr/local/share']
else:
	xdg_data_dirs = xdg_data_dirs.split(os.pathsep)

_appdirpath_str = os.getenv("APPDIRPATH")
if not _appdirpath_str:
	appdirpath = [os.path.expanduser('~/Apps'),
			'/usr/apps',
			'/usr/lib/apps',
			'/usr/share/apps',
			'/usr/local/apps',
			'/usr/local/lib/apps',
			'/usr/local/share/apps',
			'/opt']
else:
	appdirpath = _appdirpath_str.split(os.pathsep)

